RSGP - Feature #2448

[HR] TM to Payroll Potongan Cuti beserta kondisinya
12/12/2023 05:49 PM - haykal haykal

Status: QA Test Start date: 12/12/2023
Priority: Urgent Due date: 01/09/2024
Assignee: haykal haykal % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Berikut adalah daftar wage type - wage type baru terkait potongan cuti dan penjelasannya:

-Potongan ljin BJT (Wage Type: 3103)
-Potongan ljin Dev | (Wage Type: 3105)
-Potongan ljin Dev Il (Wage Type: 3106)

Potongan ljin BJT didapat karyawan apabila dia mengambil cuti tapi belum masuk periode dia berhak mendapat kuota cuti (belum
jatuh tempo).

(Note: Karyawan baru di RSGP baru mendapat kuota cuti setelah 1 tahun 3 bulan bekerja)

Contoh: Karyawan baru masuk kerja tgl 1 April 2023, maka dia baru mendapat jatah cuti pada 1 Juli 2024.

Jadi kalau misalnya karyawan tersebut mengambil cuti di antara 1 April 2023 sampai 30 Juni 2024, maka dia akan mendapat
Potongan ljin BJT.

Potongan ljin BJT ini didapat untuk cuti ke-1 sampai cuti ke-12 (Untuk Absence Type 02, dengan kuota cuti 12), apabila dalam
periode tersebut karyawan mengambil cuti lebih dari 12, maka mulai dari cuti ke-13 nya dikenakan Potongan ljin Dev | sampai cuti yg
ke-24. Dan apabila melebihi itu, maka cuti yg ke-25 sampai yg ke-36 dikenakan Potongan ljin Dev II.

Note: Potongan ljin BJT juga berlaku bagi karyawan lama yg kuota cutinya habis atau minus.
Jadi rangkumannya kurang lebih seperti ini,

Untuk Absence Type 02 (kuota cuti 12):

- Jumlah cuti: 1-12 hari = Potongan ljin BJT

- Jumlah cuti: 13-24 hari = Potongan ljin Dev | (dimulai dari cuti yg ke-13 nya)

- Jumlah cuti: 25-36 hari = Potongan ljin Dev Il (dimulai dari cuti yg ke-25 nya)

Untuk Absence Type 01 (kuota cuti 18):

- Jumlah cuti: 1-18 hari = Potongan ljin BJT

- Jumlah cuti: 19-36 hari = Potongan ljin Dev | (dimulai dari cuti yg ke-19 nya)

- Jumlah cuti: 37-54 hari = Potongan ljin Dev Il (dimulai dari cuti yg ke-37 nya)

Simpulan yang saya buat diatas berlaku untuk karyawan baru yang cuti tapi belum masuk periode dia berhak untuk cuti (belum jatuh
tempo), ataupun bagi karyawan lama yg kuota cutinya habis/minus.

Jadi kalau pakai penjelasan lain, jenis potongan cuti/ijin di RSGP itu ada 3 layer:
-Layer 1: Potongan ljin BJT
-Layer 2: Potongan ljin Dev |

-Layer 3: Potongan ljin Dev II.

Jadi tidak mungkin karyawan mendapat Potongan ljin Dev | tanpa pernah mendapat Potongan ljin BJT sebelumnya, dan tidak
mungkin karyawan mendapat Potongan ljin Dev Il tanpa pernah mendapat Potongan ljin Dev | dan Potongan ljin BJT sebelumnya.

History

#1 - 12/13/2023 03:24 PM - Kezia Pawitra Yulianti
- Due date set to 12/18/2023

- Status changed from New to Assigned

#2 - 12/13/2023 03:25 PM - Kezia Pawitra Yulianti
- Subject changed from Penambahan TM to Payroll beserta kondisinya to [HR] TM to Payroll Potongan Cuti beserta kondisinya

haykal haykal wrote:
Berikut adalah daftar wage type - wage type baru terkait potongan cuti dan penjelasannya:

-Potongan ljin BJT (Wage Type: 3103)
-Potongan ljin Dev | (Wage Type: 3105)
-Potongan ljin Dev Il (Wage Type: 3106)

Potongan ljin BJT didapat karyawan apabila dia mengambil cuti tapi belum masuk periode dia berhak mendapat kuota cuti (belum jatuh tempo).
(Note: Karyawan baru di RSGP baru mendapat kuota cuti setelah 1 tahun 3 bulan bekerja)

Contoh: Karyawan baru masuk kerja tgl 1 April 2023, maka dia baru mendapat jatah cuti pada 1 Juli 2024.

Jadi kalau misalnya karyawan tersebut mengambil cuti di antara 1 April 2023 sampai 30 Juni 2024, maka dia akan mendapat Potongan ljin BJT.
Potongan ljin BJT ini didapat untuk cuti ke-1 sampai cuti ke-12 (Untuk Absence Type 02, dengan kuota cuti 12), apabila dalam periode tersebut
karyawan mengambil cuti lebih dari 12, maka mulai dari cuti ke-13 nya dikenakan Potongan ljin Dev | sampai cuti yg ke-24. Dan apabila melebihi
itu, maka cuti yg ke-25 sampai yg ke-36 dikenakan Potongan ljin Dev II.

Note: Potongan ljin BJT juga berlaku bagi karyawan lama yg kuota cutinya habis atau minus.
Jadi rangkumannya kurang lebih seperti ini,

Untuk Absence Type 02 (kuota cuti 12):

- Jumlah cuti: 1-12 hari = Potongan ljin BJT

- Jumlah cuti: 13-24 hari = Potongan ljin Dev | (dimulai dari cuti yg ke-13 nya)

- Jumlah cuti: 25-36 hari = Potongan ljin Dev Il (dimulai dari cuti yg ke-25 nya)

Untuk Absence Type 01 (kuota cuti 18):

- Jumlah cuti: 1-18 hari = Potongan ljin BJT

- Jumlah cuti: 19-36 hari = Potongan ljin Dev | (dimulai dari cuti yg ke-19 nya)

- Jumlah cuti: 37-54 hari = Potongan ljin Dev Il (dimulai dari cuti yg ke-37 nya)

Simpulan yang saya buat diatas berlaku untuk karyawan baru yang cuti tapi belum masuk periode dia berhak untuk cuti (belum jatuh tempo),
ataupun bagi karyawan lama yg kuota cutinya habis/minus.

Jadi kalau pakai penjelasan lain, jenis potongan cuti/ijin di RSGP itu ada 3 layer:
-Layer 1: Potongan ljin BJT
-Layer 2: Potongan ljin Dev |

-Layer 3: Potongan ljin Dev II.

Jadi tidak mungkin karyawan mendapat Potongan ljin Dev | tanpa pernah mendapat Potongan ljin BJT sebelumnya, dan tidak mungkin
karyawan mendapat Potongan ljin Dev Il tanpa pernah mendapat Potongan ljin Dev | dan Potongan ljin BJT sebelumnya.

#3 - 01/03/2024 01:51 PM - Tri Rizqiaty
- Status changed from Assigned to QA Test
- Assignee changed from Tri Rizqiaty to haykal haykal

Haykal, tolong ditest untuk potongan BJT aja ya, potongan yg lain menyusul

#4 - 01/05/2024 02:56 PM - haykal haykal
- Status changed from QA Test to Revise

- Assignee changed from haykal haykal to Tri Rizqiaty

Kondisi: Seorang karyawan remaining quotanya minus (sudah pernah dapat Pot ljin BJT)

Apabila karyawan tersebut dapat kuota cuti baru, dan setelah dia mendapat kuota tersebut remaining quotanya masih minus, maka ia lanjut ke
Potongan ljin Dev | (dan seterusnya, apabila dia di periode berikutnya dapat kuota cuti baru tapi remaining quotanya masih minus, maka dia lanjut ke
Potongan ljin Dev I, dst)

Namun, apabila karyawan tersebut setelah dapat kuota cuti baru remaining quotanya sudah tidak minus (sudah plus), maka semuanya direset, dan

apabila dia mengambil cuti sampai kuotanya minus maka potongan yang dia dapat adalah Potongan ljin BJT (back to jenis potongan paling awal,
meskipun sebelumnya dia sudah pernah dapat Potongan ljin Dev)

#5 - 01/05/2024 04:14 PM - Kezia Pawitra Yulianti
- Due date changed from 12/18/2023 to 01/09/2024

- Priority changed from Normal to Urgent

Koreksi sedikit yaa:

untuk karyawan yang sisa cuti minus dan saat mendapatkan kuota cuti yg baru namun masih tetap minus, maka akan melanjutkan potongan nya
sesuai kelompok yg msh berlaku (misal untuk karyawan dgn kuota 12 dan sudah pot BJT 7, maka saat dia ajuin cuti kembali 2 hari otomatis sisa
masih minus, maka untuk berikutnya msh kena pot BJT 2 sampai maks 12 di BJT) atau misal untuk karyawan dgn kuota 12 dan sudah pot BJT 12
dan DEV1 4, maka saat dia ajuin cuti kembali 2 hari otomatis sisa masih minus, maka untuk berikutnya msh kena pot DEV1 2 sampai maks 12 di
DEV1) begitu juga seterusnya.

Kecuali untuk yg sisa cutinya sudah tidak minus lagi saat mendapatkan kuota cuti baru, maka akan ke reset Ig (ulang lagi) ke pot BJT sesuai itungan
awal.

Tks

#6 - 01/08/2024 12:30 PM - haykal haykal

Mbak Yomma, berikut Employee ID karyawan-karyawan yang bisa ditesting:

-00000040
-00000041
-00000042

#7 - 01/15/2024 11:55 AM - haykal haykal

- File Karyawan-karyawan yang ditesting beserta jumlah potongannya.xlsx added

#8 - 01/15/2024 04:45 PM - haykal haykal

- File deleted (Karyawan-karyawan yang ditesting beserta jumlah potongannya.xIsx)

#9 - 01/15/2024 04:46 PM - haykal haykal

- File Karyawan-karyawan yang ditesting beserta skenario dan jumlah potongan.xlsx added

#10 - 01/16/2024 11:04 AM - haykal haykal

- File deleted (Karyawan-karyawan yang ditesting beserta skenario dan jumlah potongan.xisx)

#11 - 01/16/2024 11:05 AM - haykal haykal

- File Karyawan-karyawan yang ditesting beserta skenario dan jumlah potongan.xlsx added

#12 - 01/24/2024 01:41 PM - haykal haykal

Ada case dimana seorang karyawan data PHRPAOO17nya (Absence Quota) terisi tapi tidak ada data Absence (PHRPA0018) sama sekali. Harusnya
dia tidak mendapat potongan apa-apa. Namun ketika ditest TM to Payroll dia malah mendapat Potongan ljin BJT sebanyak 18.

(Contohnya bisa dilihat pada EmployeelD 00000038)

#13 - 01/30/2024 03:58 PM - Tri Rizqiaty
- Status changed from Revise to QA Test

- Assignee changed from Tri Rizqiaty to haykal haykal

Files

Karyawan-karyawan yang ditesting beserta skenario dan jumlah potond&r8xi& 01/16/2024 haykal haykal
